Loading...
Searching...
No Matches
TrilinearTraits< ValueT, Staggered > Struct Template Reference

`#include <openvdb/points/PointRasterizeTrilinear.h>`

## Public Types

using | ResultT
template<typename PointDataTreeT>
using | TreeT = typename PointDataTreeT::template ValueConverter<ResultT>::Type

## Member Typedef Documentation

## ResultT

template<typename ValueT, bool Staggered = true>

using ResultT

Initial value:
typename std::conditional<
VecTraits<ValueT>::IsVec, ValueT, math::Vec3<ValueT>>::type
openvdb::v11_0::math::Vec3
Definition Vec3.h:24
openvdb::v11_0::VecTraits::IsVec
static const bool IsVec
Definition Types.h:245

## TreeT

template<typename ValueT, bool Staggered = true>
template<typename PointDataTreeT>

using TreeT = typename PointDataTreeT::template ValueConverter<ResultT>::Type